﻿<%@ Page Title="" Language="C#" MasterPageFile="default.Master" AutoEventWireup="true" CodeBehind="main.aspx.cs" Inherits="ShopzillaAPI.main" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Head" runat="server">
    <style type="text/css">
        a:link
        {
            text-decoration: none;
            
        }
        a:visited
        {
            color: blue;
        }
        a:hover
        {
            color: Lime;
            background-color: Olive;
        }
        a:focus
        {
            color: blue;
        }
        a:active
        {
            color: red;
        }
        
    </style>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="Filters" runat="server">
    <asp:ScriptManager ID="MainPageScriptManager" runat="server">
    </asp:ScriptManager>
    <div style="color: #808080">
    <asp:Panel ID="FiltersHeaderPanel" runat="server" Width="160px" 
        BorderStyle="Outset">
        &nbsp;
        <asp:Label ID="FiltersLabel" runat="server" Text="Filters" 
            style="font-weight: 700" ForeColor="Black"></asp:Label>
     </asp:Panel>
    <asp:Panel ID="FiltersPanel" runat="server"  Width="160px" 
        BorderStyle="Inset">
        <br />
        <asp:Label ID="SortLabel" runat="server" Text="Sort by:"></asp:Label>
        <asp:DropDownList ID="SortDropDownList" runat="server" AutoPostBack="True" 
                    OnSelectedIndexChanged="SortDropDownList_SelectedIndexChanged">
             <asp:ListItem Value="relevancy_desc">Best Match</asp:ListItem>
             <asp:ListItem Value="price_asc">Min Price</asp:ListItem>
             <asp:ListItem Value="price_desc">Max Price</asp:ListItem>
        </asp:DropDownList>
        <br />
        <br />
        <asp:PlaceHolder ID="FiltersPlaceHolder" runat="server"></asp:PlaceHolder>
    </asp:Panel>
</div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="Body" runat="server">
    <div style="color: #808080" align="center">
        <asp:Panel ID="BodyHeaderPanel" runat="server" Width="850px"
        BorderStyle="Outset">
            <asp:Label ID="BodyTotalResultsLabel" runat="server" Width="850px"
            style="font-weight: 700" ForeColor="Black"></asp:Label>
            <asp:Label ID="AllFiltersLabel" runat="server" Text=""></asp:Label>
        </asp:Panel>
        <asp:Panel ID="BodyPanel" runat="server" 
        BorderStyle="Inset" Width="850px">
            <br />
            <asp:PlaceHolder ID="ProductsPlaceHolder" runat="server"></asp:PlaceHolder > 
        </asp:Panel>
</div>
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="BodyFooter" runat="server">
    <div>
        <asp:PlaceHolder ID="BodyFooterPlaceHolder" runat="server"></asp:PlaceHolder>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="Ads" runat="server">
    <div>
    <asp:Panel ID="Panel1" runat="server"  Width="160px" 
        BorderStyle="Groove" BorderWidth="1px">
        <asp:PlaceHolder ID="AdsPlaceHolder" runat="server"></asp:PlaceHolder>
     </asp:Panel>
</div>
</asp:Content>
